Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.apps.groupspace.util
Enum StatusMessage.MessageType

    java.lang.Object
      java.lang.Enum<StatusMessage.MessageType>
          com.bea.apps.groupspace.util.StatusMessage.MessageType

All Implemented Interfaces
  Serializable, Comparable<StatusMessage.MessageType>

Enclosing class:
  StatusMessage

    public static enum StatusMessage.MessageType

extends Enum<StatusMessage.MessageType>

Supported message types. These are used for styling the status messages in the UI.

Enum Constant Summary
`CRITICAL`
`ERROR`
`INFO`
`WARNING`

Method Summary
`static StatusMessage.MessageType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static StatusMessage.MessageType[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INFO

    public static final StatusMessage.MessageType INFO

### WARNING

    public static final StatusMessage.MessageType WARNING

### ERROR

    public static final StatusMessage.MessageType ERROR

### CRITICAL

    public static final StatusMessage.MessageType CRITICAL

Method Detail

### values

    public static final StatusMessage.MessageType[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static StatusMessage.MessageType valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved